Subject: Re: [PATCH] bcm43xx: Fix code for spec changes of 2/7/2007

From: Michael Buesch <[email-masked]>
Date: Fri, 9 Feb 2007 21:30:38 +0100

On Friday 09 February 2007 20:55, Joseph Jezak wrote:
> Michael Buesch wrote:
> > On Friday 09 February 2007 20:05, Joseph Jezak wrote:
> >>> I'll agree to that as long as there is a clear indication of any differences between V3 and V4 firmware.
> >> That's also part of the problem.  With the v4 driver, Broadcom 
> >> dropped support for a number of older BPHY devices (4301/4303 and 
> >> some 4306 revisions).  Do we still want to support those?  Should I 
> >> continue writing the specs for the uCode revision it's based on or 
> >> should I combine them?
> > 
> > If it's easily possible, please try to combine the old stuff
> > with the new v4 specs.
> > I think it's basically only dropped if() branches, right?
> > 
> 
> Well, here's the problem.  There are a few places where a value is 
> changed (different value written to a register).  Does this mean 
> that the value is different due to the uCode changes (can't tell, no 
> documentation)?  Is it applicable to all revisions (can't tell, some 
> revisions are not supported in this version)?  If the revision 
> number range in a check changes is that because of a difference in 
> supported cards or a bug fix?
> 
> So, it's not as simple as just dropped if() branches.  I can do my 
> best to combine them (I have done some of this already), but I can't 
> promise that it'll be accurate for all revisions or versions of the 
> chipset.

Ok, I see.
How many of these old devices exist and who has access to them?
If we want to combine stuff, we really must test it on these devices then.

-- 
Greetings Michael.